#
# spec file for package python-django-postal
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-django-postal
Version:        0.93
Release:        2.1
Url:            http://github.com/mthornhill/django-postal
Summary:        A Django app for l10n of postal addresses
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         django-postal-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-django
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif

%description
A django application that provides a location agnostic model for postal addresses.

%prep
%setup -q -n django-postal-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Sep 12 2012 alexandre@exatati.com.br
- Update to 0.93:
  - Sorry, no changelog.
* Mon Jun  4 2012 alexandre@exatati.com.br
- Update to 0.92:
  - Sorry, no changelog.
* Mon May 28 2012 alexandre@exatati.com.br
- Uodate to 0.91:
  - Sorry, no changelog.
* Fri Mar  9 2012 alexandre@exatati.com.br
- Update to 0.9:
  - Sorry, no changelog.
* Tue Feb  7 2012 alexandre@exatati.com.br
- Update to 0.8:
  - Sorry, no changelog atm.
* Fri Dec 16 2011 alexandre@exatati.com.br
- Update to 0.7.9:
  - Sorry, no changelog atm.
* Tue Dec 13 2011 alexandre@exatati.com.br
- Update to 0.7.8:
  - Sorry, no changelog atm.
* Thu Jun  9 2011 alexandre@exatati.com.br
- Update to 0.7.7:
  - Sorry, no changelog.
- Regenerate spec file with py2pack.
* Thu Dec 23 2010 alexandre@exatati.com.br
- Update to 0.7.6.
* Mon Nov 22 2010 alexandre@exatati.com.br
- Update to 0.7.3.
* Wed Oct 20 2010 alexandre@exatati.com.br
- Update to 0.6.2.
* Fri Sep 10 2010 alexandre@exatati.com.br
- Update to 0.6.1.
* Tue Jun 22 2010 alexandre@exatati.com.br
- Update to 0.5.3.
* Mon Jun 21 2010 alexandre@exatati.com.br
- Update to 0.5.2.
* Fri May 21 2010 alexandre@exatati.com.br
- Update to 0.5.1.
* Mon May 17 2010 alexandre@exatati.com.br
- Update to 0.4.
* Mon May 17 2010 alexandre@exatati.com.br
- Update to 0.3;
- Spec file cleaned with spec-cleaner.
* Thu Mar 11 2010 alexandre@exatati.com.br
- Initial package (0.1) for openSUSE.
